Bug 19865 - Side scroll bar in z39.50 MARC view
Summary: Side scroll bar in z39.50 MARC view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 16:18 UTC by Jesse Maseto
Modified: 2022-02-24 22:36 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Makes the horizontal scroll bar of the MARC preview modal on cataloguing/z3950_search.tt always visible for an easier user experience.
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
ScreenShot (221.71 KB, image/png)
2017-12-21 16:18 UTC, Jesse Maseto
Details
Bug 19865: Add back horizontal scrollbar to cat_z3950_search (1.41 KB, patch)
2021-12-15 15:49 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 19865: Add back horizontal scroll bar (1.85 KB, patch)
2022-01-20 21:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 19865: Add back horizontal scroll bar (1.91 KB, patch)
2022-01-21 11:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19865: Add back horizontal scroll bar (1.99 KB, patch)
2022-01-27 16:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Maseto 2017-12-21 16:18:43 UTC
Created attachment 70065 [details]
ScreenShot

Prior to the 17.05 upgrade when you did a z39.50 search and then viewed the MARC record prior to import, a side scroll bar would appear at the bottom of the window, however, in 17.05 you have to scroll to the bottom of the window before the side scroll bar appears.
Comment 1 Marjorie Barry-Vila 2019-02-28 13:45:49 UTC
+1
Comment 2 Lucas Gass 2021-12-15 15:49:36 UTC
Created attachment 128573 [details] [review]
Bug 19865: Add back horizontal scrollbar to cat_z3950_search

To test:
1. Do a Z39.50/SRU search
2. In the search results click on MARC to get the MARC preview. Choose something with lots of MARC data so it is both wide and long.
3. See the Y axis scrollbar
4. You must scroll bottom of the modal to see the X axis scrollbar, annoying.
5. Apply patch
6. Regenrate the CSS files ( https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface )
7. Try steps 1-4 again. This time you should see the X axis scrollbar without having to scroll to the bottom.
8. It's not a bad idea to test in multiple browsers.
Comment 3 Owen Leonard 2022-01-20 18:15:19 UTC
Since this change affects only one page and there is already some inline CSS on that page I think it's better to add it to the template and not the global SCSS file.
Comment 4 Lucas Gass 2022-01-20 21:48:07 UTC
Created attachment 129677 [details] [review]
Bug 19865: Add back horizontal scroll bar

To test:
1. Do a Z39.50/SRU search
2. In the search results click on MARC to get the MARC preview. Choose something with lots of MARC data so it is both wide and long.
3. See the Y axis scrollbar
4. You must scroll bottom of the modal to see the X axis scrollbar, annoying.
5. Apply patch
6. Try steps 1-4 again. This time you should see the X axis scrollbar without having to scroll to the bottom.
7. It's not a bad idea to test in multiple browsers.

Note: I also put the CSS onto multiple lines to increase readability
Comment 5 Owen Leonard 2022-01-21 11:50:36 UTC
Created attachment 129695 [details] [review]
Bug 19865: Add back horizontal scroll bar

To test:
1. Do a Z39.50/SRU search
2. In the search results click on MARC to get the MARC preview. Choose
   something with lots of MARC data so it is both wide and long.
3. See the Y axis scrollbar
4. You must scroll bottom of the modal to see the X axis scrollbar,
   annoying.
5. Apply patch
6. Try steps 1-4 again. This time you should see the X axis scrollbar
   without having to scroll to the bottom.
7. It's not a bad idea to test in multiple browsers.

Note: I also put the CSS onto multiple lines to increase readability

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2022-01-27 16:21:06 UTC
Looks like the acquisition view needs something for the scroll bar as well: https://snipboard.io/XpC3IS.jpg
Comment 7 Jonathan Druart 2022-01-27 16:22:23 UTC
Created attachment 129905 [details] [review]
Bug 19865: Add back horizontal scroll bar

To test:
1. Do a Z39.50/SRU search
2. In the search results click on MARC to get the MARC preview. Choose
   something with lots of MARC data so it is both wide and long.
3. See the Y axis scrollbar
4. You must scroll bottom of the modal to see the X axis scrollbar,
   annoying.
5. Apply patch
6. Try steps 1-4 again. This time you should see the X axis scrollbar
   without having to scroll to the bottom.
7. It's not a bad idea to test in multiple browsers.

Note: I also put the CSS onto multiple lines to increase readability

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Lucas Gass 2022-01-27 16:37:21 UTC
(In reply to Jonathan Druart from comment #6)
> Looks like the acquisition view needs something for the scroll bar as well:
> https://snipboard.io/XpC3IS.jpg

Yes, I have filed Bug 29961 and will do it there.
Comment 9 Fridolin Somers 2022-02-01 07:56:33 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 10 Kyle M Hall 2022-02-07 16:52:19 UTC
Pushed to 21.11.x for 21.11.03
Comment 11 Andrew Fuerste-Henry 2022-02-21 15:53:35 UTC
Pushed to 21.05.x for 21.05.11
Comment 12 Victor Grousset/tuxayo 2022-02-24 22:36:37 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.